Skip to main content
POST
/
campaigns
/
v1
/
contacts
Create New Contact
curl --request POST \
  --url https://api-prod.interactly.ai/campaigns/v1/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>",
  "phone_number": "<string>",
  "email": "<string>",
  "dob": "<string>",
  "notification_preferences": {
    "call": {
      "enabled": true,
      "dnd": {}
    },
    "sms": {
      "enabled": true,
      "dnd": {}
    },
    "email": {
      "enabled": true,
      "dnd": {}
    }
  }
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Body

application/json

Contact data

first_name
string
required

Contact's first name

last_name
string
required

Contact's last name

phone_number
string
required

Contact's phone number

email
string | null

Contact's email address

dob
string | null

Contact's date of birth in YYYY-MM-DD format

notification_preferences
Notification Preferences · object

Notification preferences for the contact

Response

Successful Response